/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// catchaction.h Mon Jul 23 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef CATCHACTION_H
#define CATCHACTION_H

#include "action.h"
#include "catchcommand.h"

/**Goalie-specific Action
  *@author UVa RoboCup Team
  */

class CatchAction : public Action  {
public: 
	CatchAction();
	virtual ~CatchAction();
	virtual ServerCommand* translate() const;
	virtual Action* copy() const;
	
    virtual ostream& ostream_insert(ostream& _out) const;
    virtual ofstream& ofstream_insert(ofstream& _fout) const;

    void setDirection(const Angle& _aCatchDir);
    Angle getDirection() const;

private:
    Angle aCatchDir;
    	
};

#endif
