/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// eyeonaction.h Fri Jun 29 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef EYEONACTION_H
#define EYEONACTION_H

#include "eyeoncommand.h"
#include "action.h"

/**
  *@author UVa RoboCup Team
  */

class EyeOnAction : public Action  {
public: 
	EyeOnAction();
	~EyeOnAction();
	virtual Action* copy() const;
	virtual ServerCommand* translate() const;

    virtual ostream& ostream_insert(ostream& _out) const;
    virtual ofstream& ofstream_insert(ofstream& _fout) const;
	
};

#endif
