/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// collisionperception.h Tue Jul 10 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef COLLISIONPERCEPTION_H
#define COLLISIONPERCEPTION_H

#include "perception.h"

/**
  *@author UVa RoboCup Team
  */

class CollisionPerception : public Perception  {
public: 
	CollisionPerception(const WorldModel& _wmWorld);
	virtual ~CollisionPerception();
	
	bool isActiveMode() const;
	
	Vector2d getClosestOpponent() const;

    bool atBall() const;
};

#endif
