/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// cornerpushbehavior.h Mon Jul 2 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _CORNERPUSHBEHAVIOR_H_
#define _CORNERPUSHBEHAVIOR_H_

#include "behavior.h"
#include "cornerpushperception.h"

class CornerPushBehavior : public Behavior
{
public: 
	CornerPushBehavior(const WorldModel &_wmWorld);
	virtual ~CornerPushBehavior();
	virtual bool isUseful();
	virtual void evaluate(RecommendationList &recList);

private:
	const CornerPushPerception perCornerPush;
};

#endif
