/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// crossperception.h Sat Aug 4 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef CROSSPERCEPTION_H
#define CROSSPERCEPTION_H

#include "perception.h"

class CrossPerception : public Perception
{
public: 
	CrossPerception(const WorldModel &_wmWorld);
	virtual ~CrossPerception();
	bool isActiveMode () const; 
	bool inCrossingArea () const;
	Angle angleToKick() const;
};

#endif
