/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// freekickbehavior.h Tue Jul 24 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _FREEKICKBEHAVIOR_H_
#define _FREEKICKBEHAVIOR_H_

#include "behavior.h"
#include "freekickperception.h"

class FreeKickBehavior : public Behavior
{
public: 
	FreeKickBehavior(const WorldModel& _wmWorld);
	virtual ~FreeKickBehavior();
	virtual bool isUseful();
	virtual void evaluate(RecommendationList& recList);

private:
	FreeKickPerception perFreeKick;
	int iStartTime;
};

#endif
