/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// catchcommand.h Fri Jun 22 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _CATCHCOMMAND_H_
#define _CATCHCOMMAND_H_

#include "servercommand.h"

class CatchCommand : public ServerCommand
{
public: 
	CatchCommand();
	CatchCommand(double _dDirRad);
	virtual ~CatchCommand();
	virtual Comm& comm_insert(Comm& _cmConnection) const;
	void setDirection(double _dDirRad);
	double getDirection() const;
	
private:
	double dDirRad;
};

#endif
