/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// saycommand.h Fri Jul 13 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef SAYCOMMAND_H
#define SAYCOMMAND_H

#include "servercommand.h"
#include "debug.h"
#include "constants.h"

/**
  *@author UVa RoboCup Team
  */

class SayCommand : public ServerCommand  {
public: 
	SayCommand();
	SayCommand(const char* _pcMessage);
	virtual ~SayCommand();
	
	virtual Comm& comm_insert(Comm &_cmConnection) const;
	
	void setMessage(const char* _pcMessage);
	
private:

    char pcMessage[MAX_SAY_MSG_SIZE];	
};

#endif
