/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// catchbehavior.h Mon Jul 23 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef CATCHBEHAVIOR_H
#define CATCHBEHAVIOR_H

#include "behavior.h"
#include "catchperception.h"
#include "catchaction.h"

/**Goalie's Catch Behavior
  *@author UVa RoboCup Team
  */

class CatchBehavior : public Behavior  {
public: 
	CatchBehavior(const WorldModel& _wmWorld);
	virtual ~CatchBehavior();

    virtual bool isUseful();
	virtual void evaluate(RecommendationList& recList);

private:
    CatchPerception perCatch;
    int iLastCatchTime;
};

#endif
