/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// gohomeperception.h Tue Jul 10 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _GOHOMEPERCEPTION_H_
#define _GOHOMEPERCEPTION_H_

#include "perception.h"

class GoHomePerception : public Perception
{
public: 
	GoHomePerception(const WorldModel &_wmWorld);
	virtual ~GoHomePerception();
	bool isTooFarFromHome(const Vector2d &_vHome) const;
	bool isHome(const Vector2d &_vHome) const;
	bool isActiveMode() const;
	
	bool atBall() const; // also in other perceptions

	
};

#endif
