/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// recommendationlist.h Thu Jul 5 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _RECOMMENDATIONLIST_H_
#define _RECOMMENDATIONLIST_H_

#include "recommendation.h"
#include "combologic.h"
#include <vector>

class RecommendationList
{
public: 
	RecommendationList();
	RecommendationList(const RecommendationList& _recOther);
	virtual ~RecommendationList();
	Recommendation compose();
	void insert(const Recommendation& _rec);
	void insert(Recommendation* _prec);
	void clear();
	unsigned int size() const;

//    Recommendation* operator[](unsigned int i) const;
			
	ofstream& ofstream_insert(ofstream& _fout) const;
	ostream& ostream_insert(ostream& _out) const;
	

private:
    vector<Recommendation*> vRecPtrs;
};

ofstream& operator<<(ofstream& _fout, const RecommendationList& _rclList);
ostream& operator<<(ostream& _out, const RecommendationList& _rclList);



#endif


